Bug 820650 - JBossAS 5 plugin: when redeploying the same war, original file is renamed
JBossAS 5 plugin: when redeploying the same war, original file is renamed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent, Content, Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 914763
Blocks: EMBJOPR-366 824151 824502
  Show dependency treegraph
 
Reported: 2012-05-10 11:11 EDT by Filip Brychta
Modified: 2013-09-01 06:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 824151 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:10:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
deployedscreenshot (113.86 KB, image/png)
2012-05-10 11:12 EDT, Filip Brychta
no flags Details
historyScreenshot (180.69 KB, image/png)
2012-05-10 11:12 EDT, Filip Brychta
no flags Details
newPackageScreenshot (124.89 KB, image/png)
2012-05-10 11:13 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2012-05-10 11:11:42 EDT
Description of problem:
I deployed a standalone web application on JBossAS 5 using JON (create child>web application). When i redeploy the same war (content>new>upload new package), original file in jBoss deploy directory is renamed and application is unreachable using original URL.

Version-Release number of selected component (if applicable):
Version: 3.1.0.GA
Build Number: 07775cb:4ccefd7

How reproducible:
always

Steps to Reproduce:
1.deploy a new standalone web application on JBoss: select inventory on JBoss resource, than create child>web application
2.redeploy the same war: go to content>new>upload new package (see newPackageScreenshot.png)
  
Actual results:
original file helloworld.war in jboss-eap-5.1/jboss-as/server/default/deploy was renamed to helloworld.war-6204127540627021664
Package name shown on portal is correct (see historyScreenshot.png and deployedScreenshot.png)

Expected results:
Only version is updated
Comment 1 Filip Brychta 2012-05-10 11:12:12 EDT
Created attachment 583608 [details]
deployedscreenshot
Comment 2 Filip Brychta 2012-05-10 11:12:43 EDT
Created attachment 583609 [details]
historyScreenshot
Comment 3 Filip Brychta 2012-05-10 11:13:13 EDT
Created attachment 583610 [details]
newPackageScreenshot
Comment 5 Stefan Negrea 2012-05-23 11:24:25 EDT
The AS5 deployer uses the file name as-is to determine the name of the app to be updated/deployed. Instead of adding the random UUID to the archive to be deployed, add the random UUID to a temp folder name and then download content there (leaving the file name unchanged). This issue has been fixed for both farmed and non-farmed deployments.

master branch commits:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=b458447208ec5207eea6f29eaafcd3ca9e5371a6

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=c3bbd873832ec7df6d9db4b24190fabad7d1b48f
Comment 6 Heiko W. Rupp 2013-09-01 06:10:18 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.